Name:			hostapd
Version:		2.11
Release:		%mkrel 1
Summary:		Optional user space component for Host AP driver
License:		GPLv2
Group:			System/Servers
URL:			https://hostap.epitest.fi/hostapd/
Source0:		https://w1.fi/releases/%{name}-%{version}.tar.gz
Source1:		%{name}.init
Source3:		%{name}.service
Patch0:			%{name}-config.patch
Patch1:			hostapd-2.10-mga-defconfig.patch

BuildRequires:		pkgconfig(openssl)
BuildRequires:		libnl3-devel
Requires(post): 	rpm-helper >= 0.24.8-1
Requires(preun):	rpm-helper >= 0.24.8-1
BuildRequires:		systemd-units
Requires(post):		systemd
Requires(preun):	systemd
Requires(postun):	systemd

%description
Hostapd is an optional user space component for Host AP driver. It adds
more features to the basic IEEE 802.11 management included in the kernel
driver: using external RADIUS authentication server for MAC address
based access control, IEEE 802.1X Authenticator and dynamic WEP keying,
RADIUS accounting.

%prep
%autosetup -p1

%build
pushd %{name}
cat defconfig | sed \
    -e '/^#CONFIG_DRIVER_NONE=y/s/^#//' \
    -e '/^#CONFIG_IEEE80211R=y/s/^#//' \
    -e '/^#CONFIG_IEEE80211AC=y/s/^#//' \
    -e '/^#CONFIG_FULL_DYNAMIC_VLAN=y/s/^#//' \
    -e '/^#CONFIG_LIBNL32=y/s/^#//' \
    > .config
echo "CFLAGS += -I%{_includedir}/libnl3" >> .config
echo "LIBS += -L%{_libdir}" >> .config
%{__perl} -pi -e 's|CFLAGS =.*|CFLAGS = -MMD %{optflags}|' Makefile
%{__make} CC="%{__cc}" #CFLAGS="-MMD %%{optflags}"
popd

%install
pushd %{name}
install -d -m 755 %{buildroot}%{_sbindir}
install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}
install -d -m 755 %{buildroot}%{_unitdir}
install -m 755 %{name}        %{buildroot}%{_sbindir}
install -m 755 %{name}_cli    %{buildroot}%{_sbindir}
install -m 600 %{name}.conf   %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.accept %{buildroot}%{_sysconfdir}/%{name}
install -m 644 %{name}.deny   %{buildroot}%{_sysconfdir}/%{name}
install -pm 644 %{SOURCE3}   %{buildroot}/%{_unitdir}/%{name}.service
popd

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc %{name}/ChangeLog %{name}/README
%{_sbindir}/%{name}
%{_sbindir}/%{name}_cli
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.accept
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.deny
%config(noreplace) %{_unitdir}/%{name}.service


%changelog
* Wed Sep 11 2024 daviddavid <daviddavid> 2.11-1.mga9
+ Revision: 2095064
- new version: 2.11, fixes CVE-2023-52424 (mga#33523)

* Thu Mar 24 2022 umeabot <umeabot> 2.10-2.mga9
+ Revision: 1824609
- Mageia 9 Mass Rebuild

* Sun Jan 30 2022 luigiwalser <luigiwalser> 2.10-1.mga9
+ Revision: 1770665
- enable OCV
- 2.10
- remove upstream patches

* Sat Oct 02 2021 wally <wally> 2.9-6.mga9
+ Revision: 1747908
- rebuild for openssl 3.0.0

* Sat Jun 05 2021 neoclust <neoclust> 2.9-5.mga9
+ Revision: 1729832
- Add P102: Fixes CVE-2021-30004 (mga#29046)

* Sat Feb 06 2021 luigiwalser <luigiwalser> 2.9-5.mga8
+ Revision: 1674936
- fix patch3 (note hostapd is not affected)

* Thu Feb 04 2021 neoclust <neoclust> 2.9-4.mga8
+ Revision: 1674887
- Add P4: Fixed CVE-2021-0326 (mga#28291)

* Sun May 24 2020 neoclust <neoclust> 2.9-3.mga8
+ Revision: 1587171
- Add P3: Fixes CVE-2019-16275 (mga#25430)

* Sat Feb 15 2020 umeabot <umeabot> 2.9-2.mga8
+ Revision: 1528135
- Mageia 8 Mass Rebuild

* Sat Aug 10 2019 luigiwalser <luigiwalser> 2.9-1.mga8
+ Revision: 1428585
- 2.9
- 2.8

* Sun Dec 30 2018 luigiwalser <luigiwalser> 2.7-1.mga7
+ Revision: 1346814
- 2.7
- rediff mga defconfig patch
- remove upstream patches

* Sun Sep 23 2018 umeabot <umeabot> 2.6-4.mga7
+ Revision: 1298203
- Mageia 7 Mass Rebuild

* Tue Oct 17 2017 tmb <tmb> 2.6-3.mga7
+ Revision: 1172351
- fix CVE-2017-130[77-82, 86-88] (mga#21879)

* Sat Sep 02 2017 cjw <cjw> 2.6-2.mga7
+ Revision: 1150944
- enable a few build features
- drop init script

* Fri Nov 11 2016 luigiwalser <luigiwalser> 2.6-1.mga6
+ Revision: 1066614
- 2.6

* Wed Mar 02 2016 umeabot <umeabot> 2.5-3.mga6
+ Revision: 983470
- Rebuild for openssl

* Thu Feb 11 2016 umeabot <umeabot> 2.5-2.mga6
+ Revision: 954321
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 tmb <tmb> 2.5-1.mga6
+ Revision: 890279
- rebase P2, drop P10 (obsolete)
- drop merged patches
- update to 2.5 (CVE-2015-414[1-5])

* Thu May 07 2015 luigiwalser <luigiwalser> 2.3-3.mga5
+ Revision: 821406
- upstream patch added to fix upstream advisory 2015-3

* Wed Oct 15 2014 umeabot <umeabot> 2.3-2.mga5
+ Revision: 749298
- Second Mageia 5 Mass Rebuild

* Thu Oct 09 2014 luigiwalser <luigiwalser> 2.3-1.mga5
+ Revision: 737794
- 2.3
- build with libnl3
- rebase config on upstream config

* Tue Sep 16 2014 umeabot <umeabot> 2.2-2.mga5
+ Revision: 680159
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 pterjan <pterjan> 2.2-1.mga5
+ Revision: 640955
- 2.2

* Sat Oct 19 2013 umeabot <umeabot> 2.0-2.mga4
+ Revision: 535057
- Mageia 4 Mass Rebuild

* Tue Sep 17 2013 dams <dams> 2.0-1.mga4
+ Revision: 480869
- new version 2.0

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 353276
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 1.1-1.mga3
+ Revision: 339754
- 1.1

* Tue Oct 09 2012 luigiwalser <luigiwalser> 1.0-2.mga3
+ Revision: 303910
- add upstream patch to fix CVE-2012-4445
- tighten up default permissions on hostapd.conf (fix CVE-2012-2389)

* Mon Jun 11 2012 cjw <cjw> 1.0-1.mga3
+ Revision: 259859
- new version 1.0
- disable madwifi driver since it does not build with current userspace kernel headers
- update build config (enables 802.11n support)

* Sat Apr 28 2012 tmb <tmb> 0.7.3-4.mga2
+ Revision: 233727
- Require rpm-helper >= 0.24.8-1 for systemd support

* Wed Feb 29 2012 dmorgan <dmorgan> 0.7.3-3.mga2
+ Revision: 215950
- Migrate to systemd ( Fedora)

* Thu Apr 21 2011 cjw <cjw> 0.7.3-2.mga1
+ Revision: 89339
- imported package hostapd


* Wed Sep 08 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.7.3-1mdv2011.0
+ Revision: 576821
- new stable release

* Fri Apr 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.7-4mdv2010.1
+ Revision: 533299
- rebuild for openssl-1.0.0

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.7-3mdv2010.1
+ Revision: 511574
- rebuilt against openssl-0.9.8m

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.6.7-2mdv2010.0
+ Revision: 425150
- rebuild

* Tue Jan 27 2009 Michael Scherer <misc@mandriva.org> 0.6.7-1mdv2009.1
+ Revision: 333992
- add missing BuildRequires
- add ipv6 support for radius
- add NL80211 driver
- remove uneeded define in config, which prevent some driver to compile
- update to new version

* Mon Sep 01 2008 Olivier Blin <oblin@mandriva.com> 0.6.4-1mdv2009.0
+ Revision: 278134
- 0.6.4

* Thu Aug 07 2008 Olivier Blin <oblin@mandriva.com> 0.6.3-3mdv2009.0
+ Revision: 266132
- rebuild for latest madwifi-source

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.6.3-2mdv2009.0
+ Revision: 221176
- rebuild

* Sat Mar 01 2008 Olivier Blin <oblin@mandriva.com> 0.6.3-1mdv2008.1
+ Revision: 177404
- mac80211 is now in upstream kernel
- 0.6.3

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.5.8-3mdv2008.1
+ Revision: 170888
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Sat Jan 12 2008 Thierry Vignaud <tv@mandriva.org> 0.5.8-2mdv2008.1
+ Revision: 150257
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jun 22 2007 Adam Williamson <awilliamson@mandriva.org> 0.5.8-1mdv2008.0
+ Revision: 42853
- new release 0.5.8, rebuild with updated devicescape source

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 0.5.7-1mdv2008.0
+ Revision: 15759
- 0.5.7


* Wed Sep 06 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-06 01:35:51 (60195)
- build madwifi driver

* Wed Sep 06 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-06 01:05:40 (60191)
- build devicescape driver (#25156)

* Wed Sep 06 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-06 01:01:51 (60190)
- 0.5.5

* Tue Sep 05 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-05 23:56:00 (60184)
- bunzip sources and patches

* Mon Sep 04 2006 Olivier Blin <oblin@mandriva.com>
+ 2006-09-04 14:06:58 (59767)
- Import hostapd

* Sun Jan 08 2006 Pascal Terjan <pterjan@mandriva.org> 0:0.4.7-1mdk
- 0.4.7

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-3mdk
- rebuilt against openssl-0.9.8a

* Sun Sep 25 2005 David Walluck <walluck@mandriva.org> 0:0.4.4-2mdk
- fix CC and CFLAGS

* Sat Sep 24 2005 David Walluck <walluck@mandriva.org> 0:0.4.4-1mdk
- 0.4.4
- fix URL
- fix rpm-helper requires

* Fri Mar 11 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.7-2mdk
- add BuildRequires: libopenssl-devel

* Wed Mar 09 2005 Laurent Culioli <laurent@mandrake.org> 0.3.7-1mdk
- 0.3.7

* Tue Aug 10 2004 Laurent Culioli <laurent@mandrake.org> 0.2.4-1mdk
- 0.2.4
- make initscript

